> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Dataset registration to a model.



## OpenAPI

````yaml /api-specs/6.3/dmm.yaml put /model-monitor/v2/api/model/{model_id}/register-dataset/{dataset_type}
openapi: 3.0.3
info:
  title: Domino Model Monitor API
  description: The API for programmatic access to Domino Model Monitor.
  version: 1.0.1
servers: []
security: []
tags:
  - name: DatasetJob
    description: All Dataset Job related operations.
  - name: DataSource
    description: All data source related operations.
  - name: Model
    description: All Model related operations.
  - name: ModelTag
    description: Operations related to the management of model tags.
  - name: ModelDrift
    description: All Model drift related operations.
  - name: ModelQuality
    description: All Model quality related operations.
  - name: Workbench
    description: All Workbench related operations.
  - name: DefaultSettings
    description: Operations related to drift and model quality defaults setting in DMM.
  - name: UserSettings
    description: Operations related to configuring user related settings for DMM.
  - name: Notification
    description: >-
      Operations related to configuring notification channel config and alert
      recipients for the model.
  - name: Other
    description: Other miscellaneous operations.
  - name: Scheduler
    description: All scheduler related operations
paths:
  /model-monitor/v2/api/model/{model_id}/register-dataset/{dataset_type}:
    summary: Dataset registration to a model.
    put:
      tags:
        - Model
      summary: Dataset registration to a model.
      operationId: registerDatasetConfig
      parameters:
        - in: path
          name: model_id
          required: true
          schema:
            type: string
        - in: path
          name: dataset_type
          required: true
          schema:
            type: string
            enum:
              - prediction
              - ground_truth
      requestBody:
        required: true
        description: ''
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/datasetRegistrationConfigRequest'
      responses:
        '200':
          description: Successfully registered dataset to the Model.
        '400':
          description: Bad request input data.
        '403':
          description: Forbidden. The endpoint enforces permissions.
        '405':
          description: Method not allowed.
        '500':
          description: Internal server error, check server logs.
      security:
        - DominoApiKeyAuth: []
        - DmmApiKeyAuth: []
        - cookieAuth: []
components:
  schemas:
    datasetRegistrationConfigRequest:
      title: Model Registration Config
      description: Config to be used to register a model with DMM.
      type: object
      required:
        - datasetDetails
      properties:
        variables:
          type: array
          items:
            $ref: '#/components/schemas/variableConfigRegistrationRequest'
        datasetDetails:
          $ref: '#/components/schemas/datasetConfigRegistrationRequest'
        run_cohort_analysis:
          type: boolean
    variableConfigRegistrationRequest:
      title: Variable Config Registration
      description: Variable config to configure a variable of a model.
      type: object
      required:
        - name
        - valueType
        - variableType
      properties:
        name:
          description: Name of the variable.
          type: string
        valueType:
          $ref: '#/components/schemas/valueType'
        variableType:
          $ref: '#/components/schemas/variableType'
        binsCategories:
          description: Bin categories to be used for a categorical typed variable.
          type: array
          items:
            type: string
        binsEdges:
          description: Bin Edges to be used for a numerical typed variable.
          type: array
          items:
            type: number
        binsNum:
          $ref: '#/components/schemas/binCount'
        binsEstimatorMethod:
          $ref: '#/components/schemas/binsEstimatorMethod'
        featureImportance:
          description: Feature Importance for a feature variable.
          type: number
        precomputedBinCounts:
          description: Precomputed counts for bins.
          type: array
          items:
            type: integer
        predictionProbabilityLabels:
          description: Labels for the prediction probabilities.
          type: array
          items:
            type: string
        forPredictionOutput:
          description: Corresponding prediction variable name, for the given variable.
          type: string
    datasetConfigRegistrationRequest:
      title: Dataset Config Registration
      description: Config for the dataset to be registered with the model.
      type: object
      required:
        - name
        - datasetType
        - datasetConfig
        - datasourceName
        - datasourceType
      properties:
        name:
          description: Name of the dataset.
          type: string
        datasetType:
          description: Type of the dataset.
          type: string
          enum:
            - file
        datasetConfig:
          $ref: '#/components/schemas/datasetConfig'
        datasourceName:
          description: Name of the datasource to which the dataset belongs.
          type: string
        datasourceType:
          $ref: '#/components/schemas/datasourceType'
        featureSetId:
          description: The version id for the current feature set version.
          type: string
        featureSetVersionId:
          description: >-
            The feature set id of the feature set to which the current feature
            set version belongs to.
          type: string
    valueType:
      description: Type of data the variable has.
      type: string
      enum:
        - categorical
        - numerical
        - string
        - datetime
    variableType:
      description: Variable type.
      type: string
      enum:
        - feature
        - prediction
        - row_identifier
        - timestamp
        - ground_truth
        - sample_weight
        - prediction_probability
    binCount:
      description: Number of bins to be determined (for training datasets)
      type: integer
    binsEstimatorMethod:
      description: Estimator method to be used to determine the number of bins.
      type: string
      enum:
        - auto
        - doane
        - fd
        - rice
        - scott
        - sqrt
        - sturges
    datasetConfig:
      type: object
      description: Config for the dataset.
      required:
        - path
        - fileFormat
      properties:
        path:
          description: Path to the dataset in the datasource.
          type: string
        fileFormat:
          $ref: '#/components/schemas/fileFormat'
    datasourceType:
      description: Type of the datasource to which the dataset belongs.
      type: string
      enum:
        - s3
        - generic_s3
        - azure_blob
        - azure_data_lake_gen_2
        - google_cloud_storage
        - azure_data_lake_gen_1
        - hdfs
        - nfs
        - snowflake
    fileFormat:
      description: Format of the file.
      type: string
      enum:
        - csv
        - parquet
        - snowflake
  securitySchemes:
    DominoApiKeyAuth:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    DmmApiKeyAuth:
      type: apiKey
      in: header
      name: X-DMM-API-KEY
    cookieAuth:
      type: apiKey
      in: cookie
      name: PLAY_SESSION

````